Automatizaciones
Listar automatizaciones
Recorre las automatizaciones de tu cuenta con paginación por cursor.
GET
/
workflows
Listar automatizaciones
curl --request GET \
--url https://api.insuranceboosters.com/api/v1/workflows \
--header 'x-ib-api-key: <api-key>'import requests
url = "https://api.insuranceboosters.com/api/v1/workflows"
headers = {"x-ib-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch('https://api.insuranceboosters.com/api/v1/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.insuranceboosters.com/api/v1/workflows';
const options = {method: 'GET', headers: {'x-ib-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.insuranceboosters.com/api/v1/workflows")
.header("x-ib-api-key", "<api-key>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/workflows");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.insuranceboosters.com/api/v1/workflows");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-ib-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.insuranceboosters.com/api/v1/workflows"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-ib-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.insuranceboosters.com/api/v1/workflows")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-ib-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.insuranceboosters.com/api/v1/workflows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-ib-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.insuranceboosters.com/api/v1/workflows")
.get()
.addHeader("x-ib-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.insuranceboosters.com/api/v1/workflows")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-ib-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))$headers=@{}
$headers.Add("x-ib-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.insuranceboosters.com/api/v1/workflows' -Method GET -Headers $headers{
"items": [
{
"id": "<string>",
"name": "<string>",
"status": "enabled",
"trigger": {
"type": "webhook",
"secret": "<string>"
},
"steps": [
{
"actionKey": "browser.use",
"task": "<string>",
"resultSchema": {
"type": "object"
},
"wait": {
"initialDelaySeconds": 30,
"pollIntervalSeconds": 15,
"timeoutSeconds": 3600
},
"id": "<string>",
"name": "<string>"
}
],
"createdAt": 123,
"lastUpdatedAt": 123,
"publishedVersionId": "<string>",
"latestVersionNumber": 123,
"cronState": {
"lastFiredAt": 123,
"nextDueAt": 123
}
}
],
"pageSize": 123,
"totalItems": 123,
"nextCursor": "<string>",
"hasNextPage": true
}{
"message": "Invalid API key."
}{
"error": "<string>"
}Lista las automatizaciones ordenadas por actualización reciente.
Respuesta exitosa (
Si
Endpoint
GET /workflows
Parámetros de consulta
| Parámetro | Tipo | Default | Descripción |
|---|---|---|---|
status | string | — | enabled o disabled. |
pageSize | integer | 10 | Resultados por página (1 a 200). |
cursor | string | — | nextCursor de la página anterior. |
Ejemplo de solicitud
curl "https://api.insuranceboosters.com/api/v1/workflows?pageSize=10" \
-H "x-ib-api-key: TU_API_KEY"
Respuesta exitosa (200)
{
"items": [
{
"id": "<workflow-id>",
"name": "Notificar pago recibido",
"status": "enabled",
"trigger": {
"type": "webhook",
"secret": "<webhook-secret>"
},
"steps": [
{
"id": "<step-id>",
"name": "Avisar sistema externo",
"actionKey": "http.request",
"input": {
"method": "POST",
"url": "https://ejemplo.com/hooks/pago"
}
}
],
"publishedVersionId": "<version-id>",
"latestVersionNumber": 1,
"createdAt": 1720000000000,
"lastUpdatedAt": 1720000000000
}
],
"pageSize": 10,
"totalItems": 1,
"nextCursor": null,
"hasNextPage": false
}
hasNextPage es true, envía nextCursor como cursor y conserva el mismo pageSize y filtro status.
Errores frecuentes
| HTTP | Qué significa | Qué hacer |
|---|---|---|
400 | El cursor de paginación no es válido. | Reinicia el recorrido sin cursor o usa el nextCursor de la página anterior. |
401 | API key inválida o faltante. | Verifica x-ib-api-key. |
500 | No fue posible listar. | Reintenta; si continúa, contacta soporte. |
Authorizations
API key emitida por Insurance Boosters.
Query Parameters
Filtra por estado.
Available options:
enabled, disabled Resultados por página (1 a 200).
Required range:
1 <= x <= 200Cursor nextCursor de la página anterior.
Was this page helpful?
Listar automatizaciones

